Package org.drinkless.tdlib

# Class TdApi.InputStoryAreaTypePreviousVenue

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputStoryAreaType
org.drinkless.tdlib.TdApi.InputStoryAreaTypePreviousVenue

Enclosing class:
  TdApi

public static class TdApi.InputStoryAreaTypePreviousVenue extends TdApi.InputStoryAreaType
An area pointing to a venue already added to the story.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputStoryAreaType

  `TdApi.InputStoryAreaType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `venueId`
  Identifier of the venue in the provider database.
  `String`
  `venueProvider`
  Provider of the venue.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputStoryAreaTypePreviousVenue()`
  An area pointing to a venue already added to the story.
  `InputStoryAreaTypePreviousVenue(String venueProvider, String venueId)`
  An area pointing to a venue already added to the story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### venueProvider

    public String venueProvider
    Provider of the venue.

  - ### venueId

    public String venueId
    Identifier of the venue in the provider database.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputStoryAreaTypePreviousVenue

    public InputStoryAreaTypePreviousVenue()
    An area pointing to a venue already added to the story.

  - ### InputStoryAreaTypePreviousVenue

    public InputStoryAreaTypePreviousVenue(String venueProvider, String venueId)
    An area pointing to a venue already added to the story.
    Parameters:
      `venueProvider` - Provider of the venue.
      `venueId` - Identifier of the venue in the provider database.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputStoryAreaType`
    Returns:
      this.CONSTRUCTOR